# force11-rda-scidwg
For use by the joint FORCE11-RDA software source code identification working group.

The group started in April 2017 and will wrap up work in December 2020.

## Description

Software, and in particular source code, plays an important role in science: it is used in all research fields to produce, transform and analyse research data, and is sometimes itself an object of research and/or an output of research.

Unlike research data and scientific articles, though, software source code has only very recently been recognised as important subject matter in a few initiatives related to scholarly publication and archiving. These initiatives are now working on a variety of plans for handling the identification of software artifacts.

At the same time, unlike research data and scientific articles, the overwhelming majority of software source code is developed and used outside the academic world, in industry and in developer communities where software is routinely referenced, in practice, through methods that are totally different from the ones used in scholarly publications. 
The objective of this working group is to bring together a broad panel of stakeholders directly involved in software identification.

The planned output will be concrete recommendations for the academic community to ensure that the solutions that will be adopted by the academic players are compatible with each other and especially with the software development practice of tens of millions of developers worldwide.

## Co-Chair (s): 
- Roberto Di Cosmo, 
- Martin Fenner,
- Daniel S. Katz

## Related links

- Group page on RDA: https://rd-alliance.org/groups/software-source-code-identification-wg
- Wiki page on RDA: https://rd-alliance.org/group/software-source-code-identification-wg/wiki/kickoff-wg-p13-references-software-source-code

## Mode of operation
- On this GitHub repository:
    - we will document meetings and produced documents
    - we will use issues to discuss specific topics, feel free to open an issue.
- We will chedule a monthly group-mail informing the advancement made during the month and opening issues to discussion.
- We will schedule meetings that will be advertised on the mailing list:
   - RDA's 13th Plenary meeting, Philadelphia, US (April 2-4 2019)
   - FORCE2019 meeting in Edinburgh (October 15 - 17 2019) 

## Goals
### Medium-term goals (M12)
- An initial collection of software identification use cases and software identifier
schemas.
- An overview of the different contexts in which software artifact identification is
relevant, including:
  - Scientific reproducibility
  - Fine grained reference to specific code fragments from scientific articles or
    documentation
  - Description of dependency information
  - Citation of software projects for proper credit attribution
### Long-term goals (M18)
- Call out other RDA groups, in particular those working on citation and versioning
issues, for consultation on the draft guidelines
- A set of guidelines for persistent software artifact identification, in each of the above
contexts
