**FORCE2019 Research Software Hackathon**

# Data quality and curation track



## Description:

Many stakeholders have established institutional best practices when dealing with software as a research output. These guidelines provide a way to improve data quality and facilitate curation. Sometimes the guidelines also provide mechanism or instructions for better software citation.

It is important to compare the existing guidelines and see the commonalities and differences
for future evolutions.

## Expected outcomes:

- Align guidelines: identify commonalities and differences
- Identify key points for consideration when dealing with quality curation

## Resources &amp; References:

| **Title** | **Description** | **Institution** /**organisation** | **Link** | **Year** | **Reviewer** |
| --- | --- | --- | --- | --- | --- |
| Software Deposit Guidance for Researchers | The[Software Sustainability Institute](https://www.software.ac.uk), funded by[Jisc](https://www.jisc.ac.uk), developed a set of complementary guides covering the main aspects of depositing software into digital repositories. These guides are intended for researchers, principal investigators and research leaders and research data and digital repository managers. | The Software Sustainability Institute | [https://softwaresaved.github.io/software-deposit-guidance/](https://softwaresaved.github.io/software-deposit-guidance/) | 2018 | Shannon |
| guidelines for archiving on SWH | How to prepare a repository and use the save code now feature | Software Heritage | [https://annex.softwareheritage.org/public/guidelines/archive-research-software.pdf](https://annex.softwareheritage.org/public/guidelines/archive-research-software.pdf) | 2019 | Ariel |
| HAL deposit guide |   | HAL, CCSD, SWH |   | 2018 | Alain |
| HAL moderation guide | This guide presents best practices for moderating software deposits in the Hal Portal. | HAL, CCSD, SWH | [https://hal.inria.fr/hal-01876705](https://hal.inria.fr/hal-01876705) | 2018 | Alain |
| Checklist for Software Citation | The Software Citation Implementation Working Group has established 3 checklist that will make software more citable | FORCE11 SCIWG | ([author checklist](https://docs.google.com/document/d/1ENisZeQcHdPYDTndE88CKp7gRjpjSUq2ITJ3ZBifHFM/edit?usp=sharing),[developer checklist](https://docs.google.com/document/d/15IiHljWa7Bf55FSdb4reNiIhFmZ7Ai_FmSslLB8o6ig/edit),[reviewer checklist](https://docs.google.com/document/d/1IBax3IGla6VLiY1dIiVH8V0pOJdqIigs8M_4omN0UBo/edit)) | 2019 | Sarah |
| IPOL Deposit | Text and source code are peer-reviewed and the demonstration is controlled. IPOL is an Open Science and Reproducible Research journal  |   | [https://tools.ipol.im/wiki/ref/software\_guidelines/](https://tools.ipol.im/wiki/ref/software_guidelines/) |   | Alain |
| eLife | Forking software used in eLife papers to GitHub |   | [https://elifesciences.org/inside-elife/dbcb6949/forking-software-used-in-elife-papers-to-github](https://elifesciences.org/inside-elife/dbcb6949/forking-software-used-in-elife-papers-to-github) | 2017 | Ariel |
| ACM badges |   |   | [https://www.acm.org/publications/policies/artifact-review-badging](https://www.acm.org/publications/policies/artifact-review-badging) |   | Sarah |
| Reuse Software | Recommendations on making software reusable |   | [https://reuse.software/tutorial/](https://reuse.software/tutorial/) | 2019 | Heather |
| Software Citation Guidance for Authors | AGU guidelines[https://www.agu.org/Publish-with-AGU/Publish/Author-Resources/Data-for-Authors](https://www.agu.org/Publish-with-AGU/Publish/Author-Resources/Data-for-Authors) | AGU- Shelley Stall | [https://docs.google.com/document/d/1dT7JAHMhty2JC\_T0OF5bxkMvUk46rb9Af9rrjHPV1Ks/edit?usp=sharing](https://docs.google.com/document/d/1dT7JAHMhty2JC_T0OF5bxkMvUk46rb9Af9rrjHPV1Ks/edit?usp=sharing) | 2019 | Alain |
| Attributing and Referencing (Research) Software: Best Practices and Outlook from Inria | three key recommendations. (1) propose a richer taxonomy for software contributions with a qualitative scale. (2) It is essential to put the human at the heart of the evaluation. (3) Distinguish citation from reference. | Inria | [https://hal.inria.fr/hal-02135891](https://hal.inria.fr/hal-02135891) | 2019 | Patricia |
| The Turing Way | The Turing Way is a lightly opinionated guide to reproducible data science. | Alan Turing institute | https://the-turing-way.netlify.com/ | 2018 | Shannon |
| Software and Services Citation Guidelines and Examples  | This document presents guidelines on how to cite software and services for authors of journal articles. Journal publishers can also provide this as a reference to their authors on how to cite software and services | Earth Science Information Partners (ESIP) | [https://doi.org/10.6084/m9.figshare.7640426.v4](https://doi.org/10.6084/m9.figshare.7640426.v4) | 2019 | Ariel |
| Committing to Data Quality Review | This paper explains what we mean by data quality review, what measures can be applied to it, and how it is practiced in three domain-specific archives. We explore a selection of other data repositories in the research data ecosystem, as well as the roles of researchers, academic libraries, and scholarly journals in regard to their application of data quality measures in practice | [International Journal of Digital Curation](http://www.ijdc.net/index) | [https://doi.org/10.2218/ijdc.v9i1.317                                                        ](https://doi.org/10.2218/ijdc.v9i1.317) | 2014 | Janete |
| Curating for Reproducibility | CURE&#39;s mission is to support curation of research data and review of code and associated digital scholarly objects for the purpose of facilitating the digital preservation of the evidence base necessary for future understanding, evaluation, and reproducibility of scientific claims. We do this through establishing standards, sharing practices, and promoting the philosophy of Data Quality Review. |   | [http://cure.web.unc.edu/](http://cure.web.unc.edu/) |   | Patricia |

## Participants (n=7)

| **No** | **Name** | **Affiliation** | **Email** | **discipline(s)** |
| --- | --- | --- | --- | --- |
| 1 | Heather Andrews | TU Delft | H.E.AndrewsMancilla@tudelft.nl | Astrophysics, Aerospace Engineering, Data Stewardship, Data Analysis |
| 2 | Sarah Stryeck | TU Graz | sarah.stryeck@tugraz.at | Life Sciences, Data Stewardship |
| 3 | Patricia Herterich | Uni of Edinburgh, DCC | p.herterich@ed.ac.uk | Library Science, Data Stewardship |
| 4 | Ariel Deardorff | University of California, San Francisco | ariel.deardorff@ucsf.edu | Data Services Librarian |
| 5 | Janete Estevao | UFPR / UTFPR | janete.estevao@ufpr.br | Data and reference librarian |
| 6 | Alain Monteil | Inria | alain.monteil@inria.fr | Computer Science |
| 7 | Shannon Searle | Cranfield University | s.searle@cranfield.ac.uk | Data integration, Repository management |







## Open questions:
- Who is the user of the guidelines/recommendations?
(author /publisher/reviewer/moderator/funder/other)
- What is the purpose
- Are the guidelines Institutional or disciplinary ?
- Is the software artifact reviewed or moderated ?
- Metadata recommendations?
- Rely on an existing standard or vocabulary ? (TEI example)
- Credit? Recommendations about actors roles and contributions?
- Link to the archived software source code
- Link to the other research artifacts (article, data and other)
- How the software is identified
- Licensing recommendations
- Software artifact should contain specific files? What files?
- README, LICENSE, AUTHORS, codemeta.json, CITATION, CITATION.cff
- reuse(LICENSE, code repository, documentation)?  
- reproducibility?


## Meeting Notes:

Enter your info into this sheet: [https://docs.google.com/spreadsheets/d/1HLH1icoT6BT1sj1CifXMStmryitbCOnn8Uxe8Gc6R6c/edit?usp=sharing](https://docs.google.com/spreadsheets/d/1HLH1icoT6BT1sj1CifXMStmryitbCOnn8Uxe8Gc6R6c/edit?usp=sharing)

### Outcomes:
The guidelines comparison is accessible on [software_best_practices_crosswalk.csv](software_best_practices_crosswalk.csv)

- Align guidelines:  
    - identify commonalities  
        - Most of guidelines are for Author
        - Most of them recommend identifiers
        - License recommendation for openness   
    - identify Differences
        - They seem to have different audiences/use cases in mind,
        some are citing software created by others, some are on steps
        to share your own software
        - Granularity in guidelines varies, some are more high level than others
        - Only a limited number of vocabularies referred to e.g.
        [https://spdx.org/](https://spdx.org/) for licences
        - Some guidelines have reviewed or moderated for metadata but not all
- Identify key points for consideration when dealing with quality curation  


#### Meta points on creating guidelines in general
- Don’t hide your guidelines in published papers or presentations,
    a well designed webpage that works as a standalone resource
- Be explicit in whom your targeting with your guidelines and what their
    motivations are for reading (and yours for writing a guide)  

#### Considerations for quality curation
- Provenance information
- Persistent identifier - unique per version
- Consider resources necessary for replicability - do you need containers,
VM’s, archived libraries, etc.
