The first meeting of the Source Code Identification Working Group, a
joint effort between RDA and Force11, took place on April 3rd, during
the 13th RDA plenary conference.

There was a rich interaction within the group, and the notes of the
session are in the [online document that is associated to the
WG](https://docs.google.com/document/d/1dbqikAPGe0qprqsQB2Lyts0blQKExD4KoOzQpXQ9QoY/edit).

The key points to be retained from the meeting are the following:

  - awareness of the complexity of identifying source code emerged
    quickly

  - two main objectives of identification were confirmed:
    reproducibility and credit, with clearly different timescales and
    requirements

  - Roberto Di Cosmo presented the general framework for identifiers 
    that distinguishes DIOs and IDOs, and there was general agreements 
    that IDOs are sufficient and necessary for reproducibility, 
    while DIOs are needed for credit and citation, and that both are 
    needed in a scholarly environment

  - we reviewed four different existing approaches to identification,
    that provided ground for thought
    
    1.  Software Heritage and its IDOs (the SWH-IDs), for
        reprodicibility/traceability
    2.  the ASCL registry, presented by Alice Allen, with its DIOs and
        the detailed curation process
    3.  the swmath.org approach to software identification (DIOs with
        curated metadata extracted from publications)
    4.  the moderated scientific software deposit in Software Heritage
        via the HAL open access portal (curated metadata via moderation,
        with DIOs for the metadata and IDOs for the traceability of
        software, that can evolve asynchronously)

  - some key outcomes:
    
      - IDOs allow to identify a precise version of a software project,
        and require no source of authority; for reproducibility, that's
        the way to go
    
      - for attribution, credit, and in general the metadata associated
        to a software project, we need a registry, and DIOs to identify
        the proper entries
    
      - moderation of metadata is essential to get the quality results
        needed for proper attribution and credit in the scholarly world
    
      - there are many decisions that go into creating proper metadata,
        and these require a source of authority, which is not
        necessarily the owner of the software project

We need to learn more about the source of authority, and the methods
used to identify software, that exist already in the various
institutions, so we concluded with a homework: getting in touch with
tech-transfer departments and career committees to get more info on how
they identify, attribute and track software.
